%define name hiawatha
%define version 4.3.2
%define release %mkrel 1

Summary: Hiawatha, an advanced and secure webserver for Unix
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: %{name}-sysvscript.bz2
License: GPL
Group: Networking/WWW
Url: http://projects.leisink.org/index.php?page=hiawatha
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: openssl-devel
Requires(pre): rpm-helper
Requires(post): rpm-helper
Provides: http-server


%description
Hiawatha is an advanced and secure webserver for Unix. It has been written 
with 'being secure' as its main goal. This resulted in a webserver which 
has for example DoS protection, connection control and traffic throttling. 
It has of course also thoroughly been checked and tested for buffer overflows

%prep
%setup -q

%build
%configure --enable-command --enable-ssl --enable-plugin
%make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/log/hiawatha
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/
install -m 644 etc/logrotate.d/%name $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/%name
mkdir -p $RPM_BUILD_ROOT/var/log/%name
perl -pi -e 's|/var/lib/log/|/var/log/|' $RPM_BUILD_ROOT%{_sysconfdir}/%name/*

bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_initrddir}/%{name}

%post
%_post_service hiawatha

%preun
%_preun_service hiawatha

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(6711,root,root) %{_sbindir}/cgi_wrapper

%dir %{_sysconfdir}/%{name}
%dir /var/log/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_sbindir}/%{name}
%{_mandir}/*/*.*
%config(noreplace) %{_sysconfdir}/logrotate.d/%name
%{_localstatedir}/www/%name.html
%attr(0755,root,root) %{_initrddir}/%name



%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 4.3.2-1mdv2008.1
+ Revision: 140747
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import hiawatha


* Thu Aug 31 2006 Couriousous <couriousous@mandriva.org> 4.3.2-1mdv2007.0
- 4.3.2

* Sat Apr 15 2006 Couriousous <couriousous@mandriva.org> 4.2-1mdk
- 4.2
- LSB startup script

* Fri Mar 17 2006 Couriousous <couriousous@mandriva.org> 3.6.1-2mdk
- Rebuild

* Sat Oct  1 2005 Couriousous <couriousous@mandriva.org> 3.6.1-1mdk
- 3.6.1
- Some spec fix

* Sun Apr 24 2005 Couriousous <couriousous@mandriva.org> 3.5-1mdk
- 3.5

* Sat Apr 2 2005 Couriousous <couriousous@mandrake.org> 3.4-1mdk
- 3.4

* Wed Dec 1 2004 Couriousous <couriousous@zarb.org> 3.3-1mdk
- 3.3

* Mon Oct 11 2004 Couriousous <couriousous@zarb.org> 3.1-1mdk
- First Mandrakelinux release
